luassert

Lua Assertions Extension

$ luarocks install luassert

Adds a framework that allows registering new assertions without compromising builtin assertion functionality.

Versions

scm-1dev158 days ago46 downloads
1.9.0-1158 days ago407,678 downloads
1.8.0-0164 days ago1,583,820 downloads
1.7.11-0164 days ago165,947 downloads
1.7.10-0164 days ago566,428 downloads
1.7.9-0164 days ago78,612 downloads
1.7.8-0164 days ago2,231 downloads
1.7.7-0164 days ago745 downloads
1.7.6-0164 days ago2,357 downloads
1.7.5-0164 days ago1,486 downloads
1.7.4-0164 days ago1,538 downloads
1.7.3-0164 days ago872 downloads
1.7.2-0164 days ago614 downloads
1.7.1-0164 days ago1,972 downloads
1.7.0-1164 days ago28,137 downloads
1.7.0-0164 days ago72 downloads
1.6-1164 days ago174 downloads
1.5-1164 days ago88 downloads
1.4-1164 days ago67 downloads
1.2-1164 days ago70 downloads
1.0-1164 days ago90 downloads

Dependencies

lua >= 5.1
say >= 1.4.0-1

Dependency for

busted, busted, busted, busted, busted-ffi, busted_resty, bustest, expect-spy, muck, plenary.nvim, plenary.nvim, validate-args

Manifests